@tailwind base;
@tailwind components;
@tailwind utilities;

::-webkit-scrollbar {
  display: none;
}

html {
  @apply scroll-smooth bg-gradient-to-br from-dark-400 via-dark-500 to-dark-600 from-10% to-90% text-white;
}

h1 {
  @apply text-6xl;
}

@keyframes neon_anim {
  from {
    box-shadow:
    0 0 6px #fff,
    inset 0 0 6px #fff,
    0 0 12px #E384FF,
    inset 0 0 12px #E384FF;
  }
  to {
    box-shadow:
    0 0 6px #fff,
    inset 0 0 6px #fff,
    0 0 12px #865DFF,
    inset 0 0 12px #865DFF,
    0 0 24px #865DFF,
    inset 0 0 24px #865DFF; 
  }
}

.neon {
  animation: 3s linear 0s infinite alternate neon_anim;
}

.neon-light {
  box-shadow:
    0 0 6px #E384FF,
    inset 0 0 6px #E384FF,
    0 0 12px #865DFF,
    inset 0 0 12px #865DFF;
}

#scroll {
  top: 0;
  right: 0;
  height: 100dvh;
  background: #ffc000;
  width: 8px;
  position: fixed;
  box-shadow: 0 0 10px #ffc000, 0 0 20px #ffc000, 0 0 40px #ffc000;
  border-radius: 10px;
}


h1, h2, h3, h4, h5, h6 {
  @apply font-header;
}

h2 {
  @apply mt-3
}

body {
  @apply font-body;
}

ul {
  @apply mt-2;
}

li {
  @apply list-disc ml-4;
}

a {
  @apply text-gold hover:underline;
}



/* Config */
$color-bg: #1e1e1e;
$color-particle: #fff;
$spacing: 3000px;
$time-1: 3s;
$time-2: 6s;
$time-3: 9s;
$time-4: 10s;

/* mixins */

@function particles($max) {
  $val: 0px 0px $color-particle;
  @for $i from 1 through $max {
    $val: #{$val}, random($spacing)+px random($spacing) - random($spacing * 2) +px $color-particle;
  }
  @return $val;
}

@mixin particles($max) {
  @apply opacity-0;

  box-shadow: particles($max);
  border-radius: 50%;
}


.particle, .particle:after {
  background: transparent;
}

.particle:after {
  position: absolute;
  content: "";
  top: $spacing;
}

.fixed-particles {
  @include particles(2000);
  @apply opacity-50;
  height: 1px;
  width: 1px;
}

.particle-1 {
  @include particles(1000);
  height: 2px;
  width: 2px;

  &:after {
    @include particles(900);
    height: 2px;
    width: 2px;
  }
  &--scrollup {
    @apply opacity-100;
    animation: animParticle $time-1 linear infinite;
  }
  &--scrolldown {
    @apply opacity-100;
    animation: animParticleReverse $time-1 linear infinite;
  }
}

.particle-2 {
  @include particles(800);
  height: 2px;
  width: 2px;

  &:after {
    @include particles(500);
    height: 3px;
    width: 3px;
  }
  &--scrollup {
    @apply opacity-100;
    animation: animParticle $time-2 linear infinite;
  }
  &--scrolldown {
    @apply opacity-100;
    animation: animParticleReverse $time-2 linear infinite;
  }
}

.particle-3 {
  @include particles(1200);
  height: 1px;
  width: 1px;

  &:after {
    @include particles(1100);
    height: 3px;
    width: 3px;
    border-radius: 50%;
  }
  &--scrollup {
    @apply opacity-100;
    animation: animParticle $time-3 linear infinite;
  }
  &--scrolldown {
    @apply opacity-100;
    animation: animParticleReverse $time-3 linear infinite;
  }
}

.particle-4 {
  @include particles(1200);
  height: 1px;
  width: 1px;

  &:after {
    @include particles(700);
    height: 1px;
    width: 1px;
  }
  &--scrollup {
    @apply opacity-100;
    animation: animParticle $time-4 linear infinite;
  }
  &--scrolldown {
    @apply opacity-100;
    animation: animParticleReverse $time-4 linear infinite;
  }
}

@keyframes animParticle {
  from {
    transform: translateY(0px);
  }
  to {
    transform: translateY($spacing * -1.5);
  }
}

@keyframes animParticleReverse {
  from {
    transform: translateY(0px);
  }
  to {
    transform: translateY($spacing * 2);
  }
}

